Name:           gnucap
Version:        0.34
Release:        2%{?dist}
Summary:        The Gnu Circuit Analysis Package
Group:          Applications/Engineering
License:        GPL
URL:            http://www.geda.seul.org/tools/gnucap
Source0:        http://www.geda.seul.org/tools/gnucap/archive/%{name}-%{version}.tar.gz
Patch0:         gnucap-0.34-debian.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  readline-devel

%description
The primary component is a general purpose circuit simulator. It performs
nonlinear dc and transient analyses, fourier analysis, and ac analysis. Spice
compatible models for the MOSFET (level 1-7), BJT, and diode are included in
this release. Gnucap is not based on Spice, but some of the models have been
derived from the Berkeley models. Unlike Spice, the engine is designed to do
true mixed-mode simulation. Most of the code is in place for future support of
event driven analog simulation, and true multi-rate simulation.


%prep
%setup -q
%patch0 -p1 -z .debian
%{__sed} -i 's!/usr/lib!%{_libdir}!g' src/configure 
%{__sed} -i 's!ln -s!ln!g' src/Make1
%{__sed} -i 's!ln -s!ln!g' src/Make.aux
mv doc/acs-tutorial doc/gnucap-tutorial


%build
# Don't use %%configure because this is not an autotools-generated
# configure script and will choke on some of the default configure switches.
./configure --prefix=%{_prefix}
make %{?_smp_mflags} \
  CCFLAGS="$RPM_OPT_FLAGS -DHAS_READLINE -DUNIX -DNDEBUG -I. -I.."


%install
# make install uses hardcoded /usr/bin etc paths, so we must do this DIY
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 src/O/gnucap $RPM_BUILD_ROOT%{_bindir}
install -m 755 ibis/O/gnucap-ibis $RPM_BUILD_ROOT%{_bindir}
install -m 755 modelgen/O/gnucap-modelgen $RPM_BUILD_ROOT%{_bindir}
install -m 644 doc/gnucap.1 doc/gnucap-ibis.1 $RPM_BUILD_ROOT%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/COPYING doc/history doc/relnotes.* doc/gnucap-tutorial doc/whatisit
%doc man/gnucap-man.pdf man/html
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*.1.gz


%changelog
* Thu Apr 27 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.34-2
- add %%{?_smp_mflags} to the make command (bz 189699)

* Sun Apr 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.34-1
- Initial spec file
